#pragma once
#include "Mod.h"

class JavaInventory : public Mod {
public:
	JavaInventory() : Mod(_("Java Inventory"), _("Inventory Movement looks like java."), Category::OTHER) {
		enabled = false;
	}

private:
	std::string lastcollectionName = "";
	int lastslot = -1, moveslot = 0;
	bool swap = false; 

	virtual auto onContainerScreenSlotHovered(ContainerScreenController* _this, std::string containerName, int64_t slto) -> void override;
	virtual auto onContainerScreenTick(ContainerScreenController* _this) -> void override;
	virtual auto onKeyboard(int key, bool* held, bool* cancel) -> void override;
};
